> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drdroid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Audit

> Export task execution information for any users for auditing purposes

In order to get executions for audit purposes, first you need to have an API key of the platform. You can get that [here](https://aiops.drdroid.io/api-keys).

Once you have the API token, make a request to this endpoint: `/playbooks-engine/audit_log/trigger`

Here is a curl to make it simpler:

<CodeGroup>
  ```bash bash theme={null}
  curl --location 'https://app.drdroid.io/playbooks-engine/audit_log/trigger' \  
  \--header 'Authorization: Bearer <YOUR-API-TOKEN>' \
  \--header 'Content-Type: application/json' \
  \--data-raw '{
      "recipient_email_ids": [], // Send to emails
      "users": [], // Filter by users who have executed tasks
      "meta": {
          "time_range": {
              "time_geq": 1744528831, // From (Unix time in seconds)
              "time_lt": 1744888031 // To (Unix time in seconds)
          }
      }
  }'
  ```
</CodeGroup>

To get tasks executed by DrDroid, pass `Drdroid agent` in users.

[Here](https://www.epochconverter.com/) is a website to make it simpler to get `To` and `From` dates.
